Package javassist

# Class CtMethod.ConstParameter

java.lang.Object
javassist.CtMethod.ConstParameter

Enclosing class:
  `CtMethod`

public static class CtMethod.ConstParameter extends Object
Instances of this class represent a constant parameter. They are used to specify the parameter given to the methods created by `CtNewMethod.wrapped()`.

See Also:
  - `CtMethod.setWrappedBody(CtMethod,CtMethod.ConstParameter)`
  - `CtNewMethod.wrapped(CtClass,String,CtClass[],CtClass[],CtMethod,CtMethod.ConstParameter,CtClass)`
  - `CtNewConstructor.make(CtClass[],CtClass[],int,CtMethod,CtMethod.ConstParameter,CtClass)`

## Method Summary

Modifier and Type
Method
Description
`static CtMethod.ConstParameter`
`integer(int i)`
Makes an integer constant.
`static CtMethod.ConstParameter`
`integer(long i)`
Makes a long integer constant.
`static CtMethod.ConstParameter`
`string(String s)`
Makes an `String` constant.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### integer

public static CtMethod.ConstParameter integer(int i)
Makes an integer constant.

Parameters:
  `i` - the constant value.

### integer

public static CtMethod.ConstParameter integer(long i)
Makes a long integer constant.

Parameters:
  `i` - the constant value.

### string

public static CtMethod.ConstParameter string(String s)
Makes an `String` constant.

Parameters:
  `s` - the constant value.